Deactivate a HAWB
curl --request DELETE \
--url https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs/{hawbId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs/{hawbId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs/{hawbId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"houseAirWaybillNumber": "HWB-101",
"packageCount": 4,
"grossWeightKg": 40,
"status": "NOT_INITIATED",
"isActive": false,
"reportedStock": { "packageCount": 0, "grossWeightKg": 0 },
"remainingStock": { "packageCount": 4, "grossWeightKg": 40 },
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T10:00:00.000Z"
}
RTO
Deactivate a HAWB
Deactivate a HAWB. Refused once a sent-or-later movement references it.
DELETE
/
v1
/
shipments
/
{id}
/
hawbs
/
{hawbId}
Deactivate a HAWB
Deactivate a HAWB. The request is refused once a sent-or-later movement references it.
Path Parameters
string
required
Shipment Public ID (
shp_…).string
required
HAWB Public ID (
hawb_…).{
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"houseAirWaybillNumber": "HWB-101",
"packageCount": 4,
"grossWeightKg": 40,
"status": "NOT_INITIATED",
"isActive": false,
"reportedStock": { "packageCount": 0, "grossWeightKg": 0 },
"remainingStock": { "packageCount": 4, "grossWeightKg": 40 },
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T10:00:00.000Z"
}